#ifndef _BL_BIPED_NODE_H_
#define _BL_BIPED_NODE_H_

enum
	{
		// Attribute Manager Controls

		// Inport Elements
		
		//-------------------------------------------------------
		//IMPORTANT: Dont change ID-order !!!!!!!!!!!!!!
		
		BL_BIPED_ROOT	= 10000,
		
		BL_BIPED_HEAD_ROT,
		BL_BIPED_NECK_ROT,

		BL_BIPED_UPPERARM_ARMOUT_R,
		BL_BIPED_UPPERARM_ARMSWING_R,
		BL_BIPED_UPPERARM_ARMTWIST_R,
		BL_BIPED_FOREARM_SWING_R,
		BL_BIPED_ULNA1_TWIST_R,
		BL_BIPED_ULNA2_TWIST_R,
		BL_BIPED_HAND_R,

		BL_BIPED_UPPERARM_ARMOUT_L,
		BL_BIPED_UPPERARM_ARMSWING_L,
		BL_BIPED_UPPERARM_ARMTWIST_L,
		BL_BIPED_FOREARM_SWING_L,
		BL_BIPED_ULNA1_TWIST_L,
		BL_BIPED_ULNA2_TWIST_L,
		BL_BIPED_HAND_L,

		BL_BIPED_SPINE_TWIST,
		BL_BIPED_SPINE_SIDE,
		BL_BIPED_SPINE_FRONTBACK,

		BL_BIPED_HIP_POS,
		BL_BIPED_HIP_ROT,
		BL_BIPED_HIP_POS_OFFSET,
		BL_BIPED_HIP_ROT_OFFSET,
		BL_BIPED_HIP_CENTER,
		
		BL_BIPED_THIGH_LEGOUT_R,
		BL_BIPED_THIGH_LEGSWING_R,
		BL_BIPED_THIGH_LEGTWIST_R,
		BL_BIPED_SHIN_SWING_R,
		BL_BIPED_HEEL_ROT_R,
		BL_BIPED_FOOT_ROT_R,
		BL_BIPED_TOE_ROT_R,
		
		BL_BIPED_THIGH_LEGOUT_L,
		BL_BIPED_THIGH_LEGSWING_L,
		BL_BIPED_THIGH_LEGTWIST_L,
		BL_BIPED_SHIN_SWING_L,
		BL_BIPED_HEEL_ROT_L,
		BL_BIPED_FOOT_ROT_L,
		BL_BIPED_TOE_ROT_L,
		
		BL_BIPED_GOAL_LEG_POS_L,
		BL_BIPED_GOAL_LEG_POS_R,
		BL_BIPED_GOAL_LEG_ROT_L,
		BL_BIPED_GOAL_LEG_ROT_R,
		BL_BIPED_POLE_LEG_POS_L,
		BL_BIPED_POLE_LEG_POS_R,
		BL_BIPED_GOAL_ARM_POS_L,
		BL_BIPED_GOAL_ARM_POS_R,
		BL_BIPED_POLE_ARM_POS_L,
		BL_BIPED_POLE_ARM_POS_R,

		BL_BIPED_IK_ARM_R,
		BL_BIPED_IK_ARM_L,
		BL_BIPED_IK_LEG_R,
		BL_BIPED_IK_LEG_L,
		BL_BIPED_IK_LEG_R_FIX,
		BL_BIPED_IK_LEG_L_FIX,
		
		BL_BIPED_GOAL_ARM_ROT_L,
		BL_BIPED_GOAL_ARM_ROT_R,
		BL_BIPED_IK_ARM_R_FIX,
		BL_BIPED_IK_ARM_L_FIX,		
		
		BL_BIPED_HIP_CENTER_FLOOR,
		
		BL_BIPED_CLAMP_POLETOGOALSPACE,
		
		//IMPORTANT: Dont change ID-order !!!!!!!!!!!!!!
		//-------------------------------------------------------

		BL_BIPED_GROUP,
			

		TEST_OBJECT_NODE_DUMMY
	};

#endif